Bug 211998 - Allow to run without root
Allow to run without root
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-kickstart (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-10-24 11:20 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.19-1.el5
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-08 10:46:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
system-config-kickstart-nonroot.patch (819 bytes, patch)
2006-10-24 11:20 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-10-24 11:20:57 EDT
system-config-kickstart doesn't need root to work properly, as yum can use a
user-wide package cache instead.

Patch from Panu Matilainen <Panu.Matilainen@nokia.com>, adapted from yum-utils.
Comment 1 Bastien Nocera 2006-10-24 11:20:58 EDT
Created attachment 139233 [details]
Comment 2 Chris Lumens 2006-10-24 15:19:54 EDT
Built system-config-kickstart-2.6.15-1.el5 into the RHEL5 tree.  This should get
moved over post-beta 2.  If you need this in the beta 2 tree, we'll have to make
sure the appropriate flags are set on this bug.
Comment 3 Daniel Riek 2006-11-20 19:19:11 EST
Comment 4 Daniel Riek 2006-11-20 19:20:06 EST
After re-visitng raising an exception as this package got re-based after beta2.

Note You need to log in before you can comment on or make changes to this bug.